<script lang="ts" setup>
import { useStaffStore } from '@/stores/staff'
import { onMounted } from 'vue'
import { mdiClose, mdiPlus } from '@mdi/js'
import AddStaffDialog from '@/views/staff/AddStaffDialog.vue'
import MessageDialog from '@/components/Dialog/MessageDialog.vue'
import MainHeader from '@/components/Header/MainHeader.vue'
import MainFooter from '@/components/Footer/MainFooter.vue'
import MainMenu from '@/components/Menu/MainMenu.vue'

const staffStore = useStaffStore()
onMounted(async () => {
  await staffStore.getStaffs()
})
</script>
<template>
  <AddStaffDialog></AddStaffDialog>
  <MessageDialog></MessageDialog>
  <v-app>
    <MainHeader></MainHeader>
    <MainMenu></MainMenu>
    <v-container>
      <v-row class="justify-end mt-2 mb-2">
        <v-btn @click="staffStore.addStaffDialog = true" :prependIcon="mdiPlus" color="green"
          >Add</v-btn
        >
      </v-row>
      <v-row class="justify-center">
        <v-table style="width: 700px" align="center">
          <thead>
            <tr>
              <td style="color: white">ID</td>
              <td style="color: white">username</td>
              <td style="color: white">role</td>
            </tr>
          </thead>
          <tbody>
            <tr v-for="staff of staffStore.staffs" :key="staff.staff_id">
              <td>{{ staff.staff_id }}</td>
              <td>{{ staff.staff_role }}</td>
              <td>{{ staff.staff_username }}</td>
              <td width="10px">
                <v-btn @click="staffStore.delStaff(staff)" color="red"
                  ><v-icon>{{ mdiClose }}</v-icon></v-btn
                >
              </td>
            </tr>
          </tbody>
        </v-table>
      </v-row>
    </v-container>
  </v-app>
  <MainFooter></MainFooter>
</template>
<style scoped>
.v-table {
  border-spacing: 1;
  border-collapse: collapse;
  background: #8c122a;
  border-radius: 8px;
  overflow: hidden;
  max-width: 100vw;
  width: 100%;
  margin: 0;
  position: relative;
}

.v-table tbody tr:nth-child(even) {
  background: #ffffff;
}

.v-table tbody tr:nth-child(odd) {
  background: #efefef;
}
</style>
